[Config]
Name = License 
Summary = Extracts licensing information.

[Description]
This metadata module supports several extensions (Creative Common's <a href="http://web.resource.org/cc/" target="_blank">CC module</a>
and UserLand's <a href="http://backend.userland.com/creativeCommonsRssModule" target="_blank">creativeCommons module</a>)
that allow feeds to specify licensing details.

[Namespaces]
cc = http://web.resource.org/cc/
creativeCommons = http://backend.userland.com/creativeCommonsRssModule
rdf = http://www.w3.org/1999/02/22-rdf-syntax-ns#

[Common Metadata 1]
_XPathRoot = cc:license
_MetadataGroupRoot = license
url = @rdf:resource
name = "Creative Commons"

[Common Metadata 2]
_XPathRoot = creativeCommons:license
_MetadataGroupRoot = license
url = .
name = "Creative Commons"

[Item Pane Columns]
_AvailabilityMsg=Available for channels that embed licensing information into their feed items
License=license/name

[Channel Details Template Block]
{%?CHANNEL-METADATA% license}
    <div class="mm-license">
    License:
    {%REPEAT% license}
        {%?CHANNEL-METADATA% license/url} <a href="{%@% encode=attr}"> {%ENDIF%}
            {%?CHANNEL-METADATA% license/name}
                <em>{%@%}</em>
            {%ELSE%}
                <em>{%CHANNEL-METADATA% license}</em>
            {%ENDIF%}
        {%?CHANNEL-METADATA% license/url} </a> {%ENDIF%}
    {%/REPEAT%}
    </div>
{%ENDIF%}

[Item Details Template Block]
{%?ITEM-METADATA% license}
    <div class="mm-license">
    License:
    {%REPEAT% license}
        {%?ITEM-METADATA% license/url} <a href="{%@% encode=attr}"> {%ENDIF%}
            {%?ITEM-METADATA% license/name}
                <em>{%@%}</em>
            {%ELSE%}
                <em>{%ITEM-METADATA% license}</em>
            {%ENDIF%}
        {%?ITEM-METADATA% license/url} </a> {%ENDIF%}
    {%/REPEAT%}
    </div>
{%ENDIF%}

